## phpmyadmin 5.2.1+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/doctrees
	-rm -rf $(BUILDDIR)/html
	-rm -rf $(BUILDDIR)/dirhtml
	-rm -rf $(BUILDDIR)/singlehtml
	-rm -rf $(BUILDDIR)/pickle
	-rm -rf $(BUILDDIR)/json
	-rm -rf $(BUILDDIR)/htmlhelp
	-rm -rf $(BUILDDIR)/qthelp
	-rm -rf $(BUILDDIR)/devhelp
	-rm -rf $(BUILDDIR)/epub
	-rm -rf $(BUILDDIR)/latex
	-rm -rf $(BUILDDIR)/text
	-rm -rf $(BUILDDIR)/man
	-rm -rf $(BUILDDIR)/texinfo
	-rm -rf $(BUILDDIR)/info
	-rm -rf $(BUILDDIR)/gettext
	-rm -rf $(BUILDDIR)/changes
	-rm -rf $(BUILDDIR)/linkcheck
	-rm -rf $(BUILDDIR)/doctest
	-rm -rf $(BUILDDIR)/xml
	-rm -rf $(BUILDDIR)/pseudoxml

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/phpMyAdmin.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/phpMyAdmin.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/phpMyAdmin"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/phpMyAdmin"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
phpmyadmin (4:5.2.1+dfsg-3) unstable; urgency=medium

  [ John Adrian Salitico ]
  * Translated using Weblate (Filipino)

  [ kopatych ]
  * Translated using Weblate (Belarusian)

  [ Milo Ivir ]
  * Translated using Weblate (Croatian)

  [ Athos Ribeiro ]
  * d/NEWS: document new behavior when running PHP < 8

  [ William Desportes ]
  * Add a patch for PHP 8.3
  * Add a patch to avoid Twig 3.9.0
  * Import one more fix for sql-parser 5.8 for Triggers export
  * Import Ubuntu patch for PHP 8.0 (LP: #2016016)
  * Remove the Symfony polyfill in the PHP 8 patch
  * Add a patch to require PHP 8.2
  * Re-write the Ubuntu Jammy d/NEWS entry for Debian
  * Use LP: #2016016 for the Launchpad link
  * Send Standards-Version 4.7.0
  * Force dependencies loading to use /usr/share/php/
  * Remove suggests of non existing webauthn lib in Debian

 -- William Desportes <williamdes@wdes.fr>  Thu, 18 Apr 2024 12:31:22 +0200

phpmyadmin (4:5.2.1+dfsg-2) unstable; urgency=medium

  * Allow symfony 6
  * Add patches for phpunit 10 (Closes: #1039803)
  * Add an upstream patch for fatal errors
  * Build css files in the build dir (Closes: #1048361)
  * Build depend on libjs-bootstrap5
  * Depend on libjs-bootstrap5 and link to it
  * Add patches for sql-parser 5.8
  * Force depends on sql-parser 5.8
  * Update phpunit 10 patch
  * Import node-bootstrap 5.3.1+dfsg-1 in d/missing-sources
  * Update d/copyright

 -- William Desportes <williamdes@wdes.fr>  Wed, 18 Oct 2023 21:55:32 +0200

=== debian/control ===
Source: phpmyadmin
Maintainer: phpMyAdmin Packaging Team <team+phpmyadmin@tracker.debian.org>
Uploaders: Felipe Sateler <fsateler@debian.org>,
           Matthias Blümel <debian@blaimi.de>,
           William Desportes <williamdes@wdes.fr>
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               dh-sequence-sphinxdoc,
               libjs-bootstrap5,
               locales-all,
               minify,
               php-bz2,
               php-cli,
               php-code-lts-u2f-php-server,
               php-composer-ca-bundle,
               php-curl,
               php-gd,
               php-google-recaptcha,
               php-mariadb-mysql-kbs,
               php-mbstring,
               php-mysql,
               php-nikic-fast-route,
               php-phpmyadmin-motranslator,
               php-phpmyadmin-shapefile (>= 3.0.1),
               php-phpmyadmin-sql-parser (>= 5.8),
               php-phpseclib,
               php-psr-http-factory,
               php-psr-http-message,
               php-slim-psr7,
               php-symfony-config,
               php-symfony-dependency-injection,
               php-symfony-expression-language,
               php-symfony-polyfill-php80,
               php-tcpdf,
               php-twig (>= 2.9),
               php-twig-i18n-extension (>= 4.0),
               php-webmozart-assert (>= 1.10),
               php-zip,
               phpab,
               phpunit,
               pkg-php-tools (>= 1.41~),
               po-debconf,
               python3-sphinx,
               sassc,
               webpack
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/phpmyadmin-team/phpmyadmin
Vcs-Git: https://salsa.debian.org/phpmyadmin-team/phpmyadmin.git -b debian/latest
Homepage: https://www.phpmyadmin.net/
Rules-Requires-Root: no

Package: phpmyadmin
Architecture: all
Depends: dbconfig-mysql | dbconfig-no-thanks | dbconfig-common (<< 2.0.0),
         libjs-bootstrap5,
         libjs-codemirror,
         libjs-jquery,
         libjs-jquery-mousewheel,
         libjs-jquery-tablesorter,
         libjs-jquery-timepicker,
         libjs-jquery-ui,
         php-cli,
         sensible-utils,
         ucf,
         ${misc:Depends},
         ${phpcomposer:Debian-require},
         ${sphinxdoc:Depends}
Recommends: libapache2-mod-php | lighttpd | nginx | php-fpm | httpd,
            php-bz2,
            php-curl,
            php-gd,
            php-tcpdf,
            php-zip
Suggests: default-mysql-server | virtual-mysql-server,
          php-recode,
          www-browser,
          ${phpcomposer:Debian-suggest}
Description: MySQL web administration tool
 This package allows administering of MySQL or MariaDB with a web interface.
 .
 It allows administrators to:
  - browse through databases and tables;
  - create, copy, rename, alter and drop databases;
  - create, copy, rename, alter and drop tables;
  - perform table maintenance;
  - add, edit and drop fields;
  - execute any SQL-statement, even multiple queries;
  - create, alter and drop indexes;
  - load text files into tables;
  - create and read dumps of tables or databases;
  - export data to SQL, CSV, XML, Word, Excel, PDF and LaTeX formats;
  - administer multiple servers;
  - manage MySQL users and privileges;
  - check server settings and runtime information with configuration hints;
  - check referential integrity in MyISAM tables;
  - create complex queries using Query-by-example (QBE), automatically
    connecting required tables;
  - create PDF graphics of database layout;
  - search globally in a database or a subset of it;
  - transform stored data into any format using a set of predefined
    functions, such as displaying BLOB-data as image or download-link;
  - manage InnoDB tables and foreign keys;
 and is fully internationalized and localized in dozens of languages.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

REVISION := $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//;s/.*-//')

%:
	dh $@


DEB_DIR=debian/phpmyadmin/usr/share/phpmyadmin

SKIP_32_BIT = $(shell php -n -r "echo (PHP_INT_SIZE === 4 || php_uname('m') === 's390x') ? ',32bit-incompatible' : '';")

override_dh_auto_test:
	# keep in sync with debian/tests/phpunit
	LC_ALL=C.UTF-8 phpunit --no-coverage --exclude-group selenium,network,git-revision,ext-xdebug,extension-iconv$(SKIP_32_BIT)

override_dh_auto_clean:
	dh_auto_clean --sourcedirectory=doc

override_dh_auto_build: $(SRC_FILES_TO_BUILD)
	# re-build the jquery-migrate.min.js file
	minify -o ./js/vendor/jquery/jquery-migrate.min.js debian/missing-sources/jquery/jquery-migrate.js
	# re-build the jquery.validate.min.js file
	minify -o ./js/vendor/jquery/jquery.validate.min.js debian/missing-sources/jquery/jquery.validate.js
	# build OpenLayers
	webpack --config ./js/config/ol/webpack.config.js
	# build phpMyAdmin user documentation
	make -C doc/ html
	# generate autoload-files. keep in sync with debian/tests/phpunit
	phpab --template debian/autoload.php.tpl \
		--output autoload.php \
		libraries/classes
	phpab --template debian/autoload-test.php.tpl \
		--output test/autoload.php \
		test

override_dh_install:
	dh_install -XLICENSE
	rm -rf $(DEB_DIR)/js/vendor/codemirror
	rm -rf $(DEB_DIR)/themes/original/jquery/images
	rm -rf $(DEB_DIR)/themes/pmahomme/jquery/images
	rm -rf $(DEB_DIR)/themes/metro/jquery/images
	rm -rf $(DEB_DIR)/themes/bootstrap/jquery/images
	# set Debian marker as version suffix
	grep -q -F "'versionSuffix' => ''," $(DEB_DIR)/libraries/vendor_config.php
	sed -i "s@'versionSuffix' => '',@'versionSuffix' => 'deb$(REVISION)',@" $(DEB_DIR)/libraries/vendor_config.php
	grep -q -F "'versionSuffix' => 'deb$(REVISION)'," $(DEB_DIR)/libraries/vendor_config.php
	# lint the file
	php -l $(DEB_DIR)/libraries/vendor_config.php

	# Generic themes
	sassc --load-path debian/missing-sources/ --sourcemap --style compressed $(DEB_DIR)/themes/original/scss/theme.scss $(DEB_DIR)/themes/original/css/theme.css
	sassc --load-path debian/missing-sources/ --sourcemap --style compressed $(DEB_DIR)/themes/pmahomme/scss/theme.scss $(DEB_DIR)/themes/pmahomme/css/theme.css
	sassc --load-path debian/missing-sources/ --sourcemap --style compressed $(DEB_DIR)/themes/bootstrap/scss/theme.scss $(DEB_DIR)/themes/bootstrap/css/theme.css
	# Metro
	sassc --load-path debian/missing-sources/ --sourcemap --style compressed $(DEB_DIR)/themes/metro/scss/blueeyes-theme.scss $(DEB_DIR)/themes/metro/css/blueeyes-theme.css
	sassc --load-path debian/missing-sources/ --sourcemap --style compressed $(DEB_DIR)/themes/metro/scss/mono-theme.scss $(DEB_DIR)/themes/metro/css/mono-theme.css
	sassc --load-path debian/missing-sources/ --sourcemap --style compressed $(DEB_DIR)/themes/metro/scss/redmond-theme.scss $(DEB_DIR)/themes/metro/css/redmond-theme.css
	sassc --load-path debian/missing-sources/ --sourcemap --style compressed $(DEB_DIR)/themes/metro/scss/teal-theme.scss $(DEB_DIR)/themes/metro/css/teal-theme.css
	sassc --load-path debian/missing-sources/ --sourcemap --style compressed $(DEB_DIR)/themes/metro/scss/theme.scss $(DEB_DIR)/themes/metro/css/theme.css

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog upstream
	dh_installchangelogs

override_dh_installdocs:
	dh_installdocs -XChangeLog

## phpmyadmin 5.2.2-really5.2.2+20241130+dfsg

=== debian/changelog ===
phpmyadmin (4:5.2.2-really5.2.2+20241130+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.2-dev with git revision 61b4f6739d

 -- William Desportes <williamdes@wdes.fr>  Sun, 01 Dec 2024 01:41:15 +0100

phpmyadmin (4:5.2.2-dev+759fe912a-1) unstable; urgency=medium

  * New upstream version 5.2.2-dev+759fe912a
  * Bump copyrights
  * Drop override for the PHP polyfill (Closes: #1086557)
  * Refresh and adjust patches
  * Adjust d/rules for snapshot versions
  * Drop autoload patche and use d/ files

 -- William Desportes <williamdes@wdes.fr>  Sat, 30 Nov 2024 18:43:28 +0100

phpmyadmin (4:5.2.1+dfsg-4) unstable; urgency=medium

  [ William Desportes ]
  * Update patches for newer Twig versions (Closes: #1081725)
  * Require the newer versions in d/control
  * Add a patch for PHPunit 10 (Closes: #1070623)

  [ Ahmed kurdish ]
  * Translated using Weblate (Kurdish (Central))

 -- William Desportes <williamdes@wdes.fr>  Wed, 09 Oct 2024 21:42:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 override_dh_auto_test:
 	# keep in sync with debian/tests/phpunit
-	LC_ALL=C.UTF-8 phpunit --no-coverage --exclude-group selenium,network,git-revision,ext-xdebug,extension-iconv$(SKIP_32_BIT)
+	LC_ALL=C.UTF-8 phpunit --no-coverage --exclude-group selenium,network,git-revision,ext-xdebug,extension-iconv$(SKIP_32_BIT) --bootstrap debian/phpunit-bootstrap.php
 
 override_dh_auto_clean:
 	dh_auto_clean --sourcedirectory=doc
@@ -44,10 +44,15 @@
 	rm -rf $(DEB_DIR)/themes/metro/jquery/images
 	rm -rf $(DEB_DIR)/themes/bootstrap/jquery/images
 	# set Debian marker as version suffix
-	grep -q -F "'versionSuffix' => ''," $(DEB_DIR)/libraries/vendor_config.php
-	sed -i "s@'versionSuffix' => '',@'versionSuffix' => 'deb$(REVISION)',@" $(DEB_DIR)/libraries/vendor_config.php
-	grep -q -F "'versionSuffix' => 'deb$(REVISION)'," $(DEB_DIR)/libraries/vendor_config.php
-	# lint the file
+	# Check for the variable we need to change
+	grep -P "'versionSuffix' => '(.*)',$$" $(DEB_DIR)/libraries/vendor_config.php
+	# Change it
+	sed -i -E "s@'versionSuffix' => '(.*)',@'versionSuffix' => '\1deb$(REVISION)',@" $(DEB_DIR)/libraries/vendor_config.php
+	# Check it is still there
+	grep -P "'versionSuffix' => '(.*)',$$" $(DEB_DIR)/libraries/vendor_config.php
+	# Check the contents of versionSuffix, it must include the debian version
+	grep -q -P "'versionSuffix' => '(.*)deb$(subst +,\\+,$(REVISION))'," $(DEB_DIR)/libraries/vendor_config.php
+	# Lint the file
 	php -l $(DEB_DIR)/libraries/vendor_config.php
 
 	# Generic themes

## phpmyadmin 5.2.2-really5.2.2+20250114+dfsg

=== debian/changelog ===
phpmyadmin (4:5.2.2-really5.2.2+20250114+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.2-dev with git revision 8b38f49efa
  * Refresh patches (allow twig-i18n-extension v5.x)
  * Fix exclude group for 32 bit incompatible (Closes: #1092853)
  * Add a missing PHP 8 group annotation (Closes: #1092853)

 -- William Desportes <williamdes@wdes.fr>  Wed, 15 Jan 2025 16:59:11 +0100

phpmyadmin (4:5.2.2-really5.2.2+20241228+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.2-dev with git revision 440f6dd41b
    - Fixes the PHP 8.4 compatibility (Closes: #1082486, Closes: #1089730)
  * Support PHPUnit 12 CLI arguments
  * Exclude tests calling trigger_error

 -- William Desportes <williamdes@wdes.fr>  Sat, 28 Dec 2024 22:17:39 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,14 @@
 
 DEB_DIR=debian/phpmyadmin/usr/share/phpmyadmin
 
-SKIP_32_BIT = $(shell php -n -r "echo (PHP_INT_SIZE === 4 || php_uname('m') === 's390x') ? ',32bit-incompatible' : '';")
+# Use \PHPUnit\Runner\Version::majorVersionNumber() >= 11 when PHPUnit is updated to a newer version
+SEPARATOR = $(shell php -n -r "require_once '/usr/share/php/PHPUnit/Autoload.php';echo ((int) explode('.', \PHPUnit\Runner\Version::series())[0]) >= 11 ? ' --exclude-group ' : ',';")
+
+SKIP_32_BIT = $(shell php -n -r "echo (PHP_INT_SIZE === 4 || php_uname('m') === 's390x') ? '$(SEPARATOR)32bit-incompatible' : '';")
 
 override_dh_auto_test:
 	# keep in sync with debian/tests/phpunit
-	LC_ALL=C.UTF-8 phpunit --no-coverage --exclude-group selenium,network,git-revision,ext-xdebug,extension-iconv$(SKIP_32_BIT) --bootstrap debian/phpunit-bootstrap.php
+	LC_ALL=C.UTF-8 phpunit --no-coverage --exclude-group selenium$(SEPARATOR)network$(SEPARATOR)git-revision$(SEPARATOR)ext-xdebug$(SEPARATOR)with-trigger-error$(SEPARATOR)extension-iconv$(SKIP_32_BIT) --bootstrap debian/phpunit-bootstrap.php
 
 override_dh_auto_clean:
 	dh_auto_clean --sourcedirectory=doc

## phpmyadmin 5.2.2-really5.2.2+20250121+dfsg

=== debian/changelog ===
phpmyadmin (4:5.2.2-really5.2.2+20250121+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.2+dfsg
  * Fixes: PMASA-2025-1, PMASA-2025-2, CVE-2024-2961, PMASA-2025-3
  * Refresh patches
  * Adjust tests skipping for DEP-8 (Closes: #1092853)

 -- William Desportes <williamdes@wdes.fr>  Tue, 21 Jan 2025 21:31:25 +0100

=== debian/control ===
--- 
+++ 
@@ -34,13 +34,13 @@
                php-symfony-expression-language,
                php-symfony-polyfill-php80,
                php-tcpdf,
-               php-twig (>= 2.9),
-               php-twig-i18n-extension (>= 4.0),
+               php-twig (>= 3.3.5),
+               php-twig-i18n-extension (>= 4.1.3),
                php-webmozart-assert (>= 1.10),
                php-zip,
                phpab,
                phpunit,
-               pkg-php-tools (>= 1.41~),
+               pkg-php-tools,
                po-debconf,
                python3-sphinx,
                sassc,

=== debian/tests/control ===
Tests: phpunit
Restrictions: allow-stderr
Depends: php-bz2,
         php-code-lts-u2f-php-server,
         php-curl,
         php-gd,
         php-tcpdf,
         php-zip,
         phpab,
         phpunit,
         @

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$//,pgpsigurlmangle=s/$/.asc/" \
    https://www.phpmyadmin.net/files/([0-9.]+)/ \
    https://files.phpmyadmin.net/phpMyAdmin/.*/phpMyAdmin-([0-9.]+)-source.tar.xz

## phpmyadmin 5.2.2-really%2Bdfsg

=== debian/changelog ===
phpmyadmin (4:5.2.2-really+dfsg-1+deb13u1) trixie; urgency=medium

  * Update d/missing-source for CVE-2025-3573 - jquery-validation
    - Fix XSS in the showLabel() function

 -- William Desportes <williamdes@wdes.fr>  Thu, 04 Sep 2025 13:51:58 +0200

phpmyadmin (4:5.2.2-really+dfsg-1) unstable; urgency=medium

  [ தமிழ்நேரம் ]
  * Translated using Weblate (Tamil)

  [ coool ]
  * Translated using Weblate (Latvian)

  [ Fulup Jakez ]
  * Translated using Weblate (Breton)

  [ William Desportes ]
  * Drop not needed depends on php-symfony-polyfill-php80
  * Bump Standards-Version to 4.7.2
  * Drop not needed pkg tools overrides for tcpdf
  * Fix tests for phpunit 12
  * Shorten the debian version
  * Adjust dversionmangle for -really

 -- William Desportes <williamdes@wdes.fr>  Sat, 19 Apr 2025 21:06:39 +0200

## phpmyadmin 5.2.2-really+dfsg

=== debian/changelog ===
phpmyadmin (4:5.2.2-really+dfsg-2) unstable; urgency=medium

  [ William Desportes ]
  * Update tests patch to run on phpunit 12
  * CVE-2025-3573 - Update jquery.validate.js to 1.21.0
    This is the version distributed in phpMyAdmin 5.2.2
    (Closes: #1104136)

  [ Spyridon Eftychios Kokotos ]
  * Translated using Weblate (Greek)

  [ Temuri Doghonadze ]
  * Added translation using Weblate (Georgian)
  * Translated using Weblate (Georgian)

  [ Chou Chamnan ]
  * Added translation using Weblate (Khmer (Central))
  * Translated using Weblate (Khmer (Central))

  [ Eduardo Arroyo Morales ]
  * Added translation using Weblate (English (Middle))

 -- William Desportes <williamdes@wdes.fr>  Thu, 04 Sep 2025 13:39:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: phpmyadmin
 Maintainer: phpMyAdmin Packaging Team <team+phpmyadmin@tracker.debian.org>
 Uploaders: Felipe Sateler <fsateler@debian.org>,
-           Matthias Blümel <debian@blaimi.de>,
            William Desportes <williamdes@wdes.fr>
 Section: web
 Priority: optional
@@ -32,7 +31,6 @@
                php-symfony-config,
                php-symfony-dependency-injection,
                php-symfony-expression-language,
-               php-symfony-polyfill-php80,
                php-tcpdf,
                php-twig (>= 3.3.5),
                php-twig-i18n-extension (>= 4.1.3),
@@ -45,7 +43,7 @@
                python3-sphinx,
                sassc,
                webpack
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/phpmyadmin-team/phpmyadmin
 Vcs-Git: https://salsa.debian.org/phpmyadmin-team/phpmyadmin.git -b debian/latest
 Homepage: https://www.phpmyadmin.net/

## phpmyadmin 5.2.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Felipe Sateler <fsateler@debian.org>,
            William Desportes <williamdes@wdes.fr>
 Section: web
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                dh-sequence-sphinxdoc,
@@ -47,7 +46,6 @@
 Vcs-Browser: https://salsa.debian.org/phpmyadmin-team/phpmyadmin
 Vcs-Git: https://salsa.debian.org/phpmyadmin-team/phpmyadmin.git -b debian/latest
 Homepage: https://www.phpmyadmin.net/
-Rules-Requires-Root: no
 
 Package: phpmyadmin
 Architecture: all

## phpmyadmin 5.2.3+dfsg

=== debian/changelog ===
phpmyadmin (4:5.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.3+dfsg
  * Remove now default Rules-Requires-Root: no
  * Remove now default Priority: optional
  * Fix d/copyright backtick ends
  * Refresh patches
  * Drop the custom separator logic for old PHPUnit 11
  * Use PHPUnit --do-not-cache-result --fail-on-empty-test-suite
  * Allow Symfony 7 (Closes: #1117005)

 -- William Desportes <williamdes@wdes.fr>  Fri, 10 Oct 2025 23:09:24 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,12 @@
 
 DEB_DIR=debian/phpmyadmin/usr/share/phpmyadmin
 
-# Use \PHPUnit\Runner\Version::majorVersionNumber() >= 11 when PHPUnit is updated to a newer version
-SEPARATOR = $(shell php -n -r "require_once '/usr/share/php/PHPUnit/Autoload.php';echo ((int) explode('.', \PHPUnit\Runner\Version::series())[0]) >= 11 ? ' --exclude-group ' : ',';")
-
-SKIP_32_BIT = $(shell php -n -r "echo (PHP_INT_SIZE === 4 || php_uname('m') === 's390x') ? '$(SEPARATOR)32bit-incompatible' : '';")
+# keep in sync with debian/tests/phpunit
+SKIP_32_BIT = $(shell php -n -r "echo (PHP_INT_SIZE === 4 || php_uname('m') === 's390x') ? '--exclude-group 32bit-incompatible' : '';")
 
 override_dh_auto_test:
 	# keep in sync with debian/tests/phpunit
-	LC_ALL=C.UTF-8 phpunit --no-coverage --exclude-group selenium$(SEPARATOR)network$(SEPARATOR)git-revision$(SEPARATOR)ext-xdebug$(SEPARATOR)with-trigger-error$(SEPARATOR)extension-iconv$(SKIP_32_BIT) --bootstrap debian/phpunit-bootstrap.php
+	LC_ALL=C.UTF-8 phpunit --do-not-cache-result --fail-on-empty-test-suite --no-coverage --exclude-group selenium --exclude-group network --exclude-group git-revision --exclude-group ext-xdebug --exclude-group with-trigger-error --exclude-group extension-iconv $(SKIP_32_BIT) --bootstrap debian/phpunit-bootstrap.php
 
 override_dh_auto_clean:
 	dh_auto_clean --sourcedirectory=doc

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/(-really|)\+dfsg\d*$//,pgpsigurlmangle=s/$/.asc/" \
    https://www.phpmyadmin.net/files/([0-9.]+)/ \
    https://files.phpmyadmin.net/phpMyAdmin/.*/phpMyAdmin-([0-9.]+)-source.tar.xz
